diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h	2017-12-18 09:58:51.777425996 +0100
@@ -70,9 +70,9 @@
     /// blocking mode for DIMSE operations
     T_DIMSE_BlockingMode opt_blockMode;
     /// timeout for DIMSE operations
-    int opt_dimse_timeout;
+    OFTimeValue opt_dimse_timeout;
     /// timeout for ACSE operations
-    int opt_acse_timeout;
+    OFTimeValue opt_acse_timeout;
     /// array of supported abstract syntaxes
     char **supportedAbstractSyntaxes;
     /// number of array fields
@@ -197,8 +197,8 @@
         OFBool opt_singleProcessv, 
         int opt_maxAssociationsv, 
         T_DIMSE_BlockingMode opt_blockModev,
-        int opt_dimse_timeoutv,
-        int opt_acse_timeoutv,
+        OFTimeValue opt_dimse_timeoutv,
+        OFTimeValue opt_acse_timeoutv,
         OFBool opt_forkedChild = OFFalse,
         int argcv = 0,
         char *argvv[] = NULL );
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmwlm/include/dcmtk/dcmwlm/wltypdef.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmwlm/include/dcmtk/dcmwlm/wltypdef.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmwlm/include/dcmtk/dcmwlm/wltypdef.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmwlm/include/dcmtk/dcmwlm/wltypdef.h	2017-12-18 09:58:32.233595586 +0100
@@ -84,7 +84,7 @@
   /// process id
   int processId;
   /// start time
-  time_t startTime;
+  OFTimeValue startTime;
   /// indicator if process has storage ability
   OFBool hasStorageAbility;
 };
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmwlm/libsrc/wlmactmg.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmwlm/libsrc/wlmactmg.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmwlm/libsrc/wlmactmg.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmwlm/libsrc/wlmactmg.cc	2017-12-18 09:53:26.355348910 +0100
@@ -94,8 +94,8 @@
     OFBool opt_singleProcessv,
     int opt_maxAssociationsv,
     T_DIMSE_BlockingMode opt_blockModev,
-    int opt_dimse_timeoutv,
-    int opt_acse_timeoutv,
+    OFTimeValue opt_dimse_timeoutv,
+    OFTimeValue opt_acse_timeoutv,
     OFBool opt_forkedChildv,
     int argcv,
     char *argvv[] )
@@ -327,7 +327,7 @@
 {
   T_ASC_Association *assoc = NULL;
   char buf[BUFSIZ];
-  int timeout;
+  OFTimeValue timeout;
 
   // Depending on if the execution is limited to one single process
   // or not we need to set the timeout value correspondingly.
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/oflog/include/dcmtk/oflog/helpers/timehelp.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/oflog/include/dcmtk/oflog/helpers/timehelp.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/oflog/include/dcmtk/oflog/helpers/timehelp.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/oflog/include/dcmtk/oflog/helpers/timehelp.h	2017-12-18 10:41:40.412138866 +0100
@@ -57,8 +57,8 @@
 class DCMTK_LOG4CPLUS_EXPORT Time {
 public:
     Time();
-    Time(time_t tv_sec, long tv_usec);
-    explicit Time(time_t time);
+    Time(OFTimeValue tv_sec, long tv_usec);
+    explicit Time(OFTimeValue time);
 
     /**
      * Returns the current time using the <code>gettimeofday()</code>
@@ -71,7 +71,7 @@
     /**
      * Returns <i>seconds</i> value.
      */
-    time_t sec() const { return tv_sec; }
+    OFTimeValue sec() const { return tv_sec; }
 
     /**
      * Returns <i>microseconds</i> value.
@@ -81,7 +81,7 @@
     /**
      * Sets the <i>seconds</i> value.
      */
-    void sec(time_t s) { tv_sec = s; }
+    void sec(OFTimeValue s) { tv_sec = s; }
 
     /**
      * Sets the <i>microseconds</i> value.
@@ -91,12 +91,12 @@
     /**
      * Sets this Time using the <code>mktime</code> function.
      */
-    time_t setTime(tm* t);
+    OFTimeValue setTime(tm* t);
 
     /**
-     * Returns this Time as a <code>time_t</code> value.
+     * Returns this Time as a <code>OFTimeValue</code> value.
      */
-    time_t getTime() const DCMTK_LOG4CPLUS_ATTRIBUTE_PURE;
+    OFTimeValue getTime() const DCMTK_LOG4CPLUS_ATTRIBUTE_PURE;
 
     /**
      * Populates <code>tm</code> using the <code>gmtime()</code>
@@ -134,7 +134,7 @@
 
 private:
   // Data
-    time_t tv_sec;  /* seconds */
+    OFTimeValue tv_sec;  /* seconds */
     long tv_usec;  /* microseconds */
 };
 
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/oflog/libsrc/layout.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/oflog/libsrc/layout.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/oflog/libsrc/layout.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/oflog/libsrc/layout.cc	2017-12-18 09:53:23.553452824 +0100
@@ -43,7 +43,7 @@
     helpers::Time const rel_time
         = event.getTimestamp () - getTTCCLayoutTimeBase ();
     tchar const old_fill = output.fill ();
-    time_t const sec = rel_time.sec ();
+    OFTimeValue const sec = rel_time.sec ();
  
     if (sec != 0)
         output << sec << STD_NAMESPACE setfill (DCMTK_LOG4CPLUS_TEXT ('0')) << STD_NAMESPACE setw (3);
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/oflog/libsrc/timehelp.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/oflog/libsrc/timehelp.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/oflog/libsrc/timehelp.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/oflog/libsrc/timehelp.cc	2017-12-18 09:53:27.601165279 +0100
@@ -84,7 +84,7 @@
 }
 
 
-Time::Time(time_t tv_sec_, long tv_usec_)
+Time::Time(OFTimeValue tv_sec_, long tv_usec_)
     : tv_sec(tv_sec_)
     , tv_usec(tv_usec_)
 {
@@ -92,7 +92,7 @@
 }
 
 
-Time::Time(time_t time)
+Time::Time(OFTimeValue time)
     : tv_sec(time)
     , tv_usec(0)
 {
@@ -152,10 +152,10 @@
 // Time methods
 //////////////////////////////////////////////////////////////////////////////
 
-time_t
+OFTimeValue
 Time::setTime(tm* t)
 {
-    time_t time = mktime(t);
+    OFTimeValue time = mktime(t);
     if (time != -1)
         tv_sec = time;
 
@@ -163,7 +163,7 @@
 }
 
 
-time_t
+OFTimeValue
 Time::getTime() const
 {
     return tv_sec;
@@ -173,7 +173,7 @@
 void
 Time::gmtime(tm* t) const
 {
-    time_t clock = tv_sec;
+    OFTimeValue clock = tv_sec;
 #if defined (DCMTK_LOG4CPLUS_HAVE_GMTIME_S) && defined (_MSC_VER) && _MSC_VER > 1200
     gmtime_s (t, &clock);
 #elif defined (DCMTK_LOG4CPLUS_HAVE_GMTIME_S) && defined (__BORLANDC__)
@@ -190,7 +190,7 @@
 void
 Time::localtime(tm* t) const
 {
-    time_t clock = tv_sec;
+    OFTimeValue clock = tv_sec;
 #ifdef DCMTK_LOG4CPLUS_NEED_LOCALTIME_R
     ::localtime_r(&clock, t);
 #else
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/include/dcmtk/ofstd/ofdate.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/include/dcmtk/ofstd/ofdate.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/include/dcmtk/ofstd/ofdate.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/include/dcmtk/ofstd/ofdate.h	2017-12-18 10:02:27.102533947 +0100
@@ -219,7 +219,7 @@
      *  @param tt current system time (as returned by the time() function )
      *  @return OFTrue if the current system date has been set, OFFalse otherwise
      */
-    OFBool setCurrentDate(const time_t &tt);
+    OFBool setCurrentDate(const OFTimeValue &tt);
 
     /* --- static helper functions --- */
 
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/include/dcmtk/ofstd/oftime.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/include/dcmtk/ofstd/oftime.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/include/dcmtk/ofstd/oftime.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/include/dcmtk/ofstd/oftime.h	2017-12-18 10:03:16.259986077 +0100
@@ -357,7 +357,7 @@
      *  @param tt current system time (as returned by the time() function )
      *  @return OFTrue if the current system time has been set, OFFalse otherwise
      */
-    OFBool setCurrentTime(const time_t &tt);
+    OFBool setCurrentTime(const OFTimeValue &tt);
 
     /* --- static helper functions --- */
 
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/include/dcmtk/ofstd/oftypes.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/include/dcmtk/ofstd/oftypes.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/include/dcmtk/ofstd/oftypes.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/include/dcmtk/ofstd/oftypes.h	2017-12-18 09:53:12.597735322 +0100
@@ -43,6 +43,7 @@
 #define OFlonglong long long
 #define OFulonglong unsigned long long
 
+using OFTimeValue = time_t;
 using Sint8 = std::int8_t;
 using Uint8 = std::uint8_t;
 using Sint16 = std::int16_t;
@@ -73,6 +74,8 @@
 #define INCLUDE_CSTDDEF
 #include "dcmtk/ofstd/ofstdinc.h"
 
+typedef time_t          OFTimeValue;
+
 typedef signed char     Sint8;
 typedef unsigned char   Uint8;
 
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/ofdate.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/ofdate.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/ofdate.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/ofdate.cc	2017-12-18 09:58:17.910752960 +0100
@@ -199,7 +199,7 @@
 }
 
 
-OFBool OFDate::setCurrentDate(const time_t &tt)
+OFBool OFDate::setCurrentDate(const OFTimeValue &tt)
 {
     OFBool status = OFFalse;
 #ifdef HAVE_LOCALTIME_R
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/ofdatime.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/ofdatime.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/ofdatime.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/ofdatime.cc	2017-12-18 09:53:15.876542188 +0100
@@ -196,7 +196,7 @@
 OFBool OFDateTime::setCurrentDateTime()
 {
     /* set current system date and time, use the same "time_t" struct to avoid inconsistencies */
-    time_t tt = time(NULL);
+    OFTimeValue tt = time(NULL);
     return Date.setCurrentDate(tt) && Time.setCurrentTime(tt);
 }
 
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/offname.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/offname.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/offname.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/offname.cc	2017-12-18 09:57:14.155521781 +0100
@@ -33,7 +33,7 @@
 
 BEGIN_EXTERN_C
 #ifdef HAVE_SYS_TYPES_H
-#include <sys/types.h>    /* for time_t */
+#include <sys/types.h>    /* for OFTimeValue */
 #endif
 #ifdef HAVE_SYS_STAT_H
 #include <sys/stat.h>    /* for stat() */
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/oftime.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/oftime.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/ofstd/libsrc/oftime.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/ofstd/libsrc/oftime.cc	2017-12-18 09:57:46.093865599 +0100
@@ -329,7 +329,7 @@
 }
 
 
-OFBool OFTime::setCurrentTime(const time_t &tt)
+OFBool OFTime::setCurrentTime(const OFTimeValue &tt)
 {
     OFBool status = OFFalse;
 #ifdef HAVE_LOCALTIME_R
